Modify Virtual Account API
An API to modify the deposit expiration date and transaction amount of an issued virtual account.
Test Key Information
API Information
POST/spay/APIVBank.do
Content-Type
application/json테스트
https://tbgw.settlebank.co.kr/spay/APIVBank.do운영
https://gw.settlebank.co.kr/spay/APIVBank.doImportant Notes
NOTE
Issuance Information Modification Notice
You can modify the deposit expiration date and transaction amount of an already issued virtual account.
- Available for all virtual account types: Rotating-type, Fixed-type, and Fixed-type Recurring.
- The maximum deposit expiration date is +365 days 23:59:59 from the current date for Rotating-type and Fixed-type, and unlimited for Fixed-type Recurring (acntType=3).
- The virtual account number and bank code from the original issuance must be entered accurately.
- Modification is not possible for virtual accounts whose deposit expiration date has already passed. In such cases, a new issuance is required.
Request Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
nx_mid_il: Rotating-type test nxva_fix: Fixed-type test nxva_fix2: Fixed-type Recurring test└verAN(4)Alphanumeric, up to 4 bytes*Message version
Message version
*Fixed value
└methodA(2)Alphabetic, up to 2 bytes*Payment method
Payment method
*Fixed value (VA: Virtual Account)
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
Business type code
*Fixed value (A1: Issuance Information Modification)
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
Encryption type code
*Fixed value
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Unique order number generated by the merchant
Unique order number generated by the merchant
└trdDtN(8)Numeric, up to 8 bytes*Request date (YYYYMMDD)
Request date (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Request time (HHMMSS)
Request time (HHMMSS)
└mobileYnA(1)Alphabetic, up to 1 bytesMobile indicator
Mobile indicator
Y: Mobile web/app N: PC or other└osTypeA(1)Alphabetic, up to 1 bytesOS type
OS type
A: Android I: iOS W: Windows M: Mac E: Otherdata Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
NOTE
Hash Generation Combination
trdDt + trdTm + mchtId + mchtTrdNo + trdAmt (plaintext) + hashKey
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code
Bank code
*Refer to the Virtual Account Bank Code List
└vAcntNoN(16)Numeric, up to 16 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Previously issued virtual account numberPreviously issued virtual account number
└expireDateN(14)Numeric, up to 14 bytes*New deposit expiration date and time (yyyyMMddHHmmss)
New deposit expiration date and time (yyyyMMddHHmmss)
*Rotating-type and Fixed-type: maximum +365 days 23:59:59 from the current date. Fixed-type Recurring (acntType=3): unlimited.
└trdAmtN(12)Numeric, up to 12 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Transaction amountTransaction amount
└acntTypeN(1)Numeric, up to 1 bytes*Virtual account type
Virtual account type
1: Rotating-type 2: Fixed-type 3: Fixed-type RecurringResponse Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Merchant ID
nx_mid_ilMerchant ID
└verAN(4)Alphanumeric, up to 4 bytes*Message version
0A19Message version
└methodA(2)Alphabetic, up to 2 bytes*Payment method
VAPayment method
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
A1Business type code
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
23Encryption type code
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number
ORDER20211231100000Merchant order number
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction number
STBK_0123456789Hecto Financial transaction number
└trdDtN(8)Numeric, up to 8 bytes*Request date (YYYYMMDD)
20211231Request date (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Request time (HHMMSS)
120000Request time (HHMMSS)
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure)
0021Transaction status code (success/failure)
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Result code
0000Result code
└outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Result message
Processed successfully.Result message
data Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*Returns the hash value from the request as-is
f395b6725a9a18...Returns the hash value from the request as-is
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code (returned as-is from the request)
011Bank code (returned as-is from the request)
└vAcntNoN(16)Numeric, up to 16 bytes*
AES-256AES-256/ECB/PKCS5PaddingVirtual account number (returned as-is from the request)1234567890Virtual account number (returned as-is from the request)
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└expireDateN(14)Numeric, up to 14 bytes*Deposit expiration date and time (returned as-is from the request)
20221231235959Deposit expiration date and time (returned as-is from the request)
└trdAmtN(12)Numeric, up to 12 bytes*
AES-256AES-256/ECB/PKCS5PaddingTransaction amount (returned as-is from the request)1000Transaction amount (returned as-is from the request)
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└acntTypeN(1)Numeric, up to 1 bytes*Virtual account type (returned as-is from the request)
1Virtual account type (returned as-is from the request)
Need technical support?
Code Samples
HectoFinancial GitHub